unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,registry;

type
  TForm3 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    Edit1: TEdit;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    ListBox1: TListBox;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

uses Unit4, Unit1;

{$R *.DFM}

procedure TForm3.Button1Click(Sender: TObject);
begin
        form1.enabled:=true;
        form3.close;
end;

procedure TForm3.Button2Click(Sender: TObject);
begin
        form3.enabled:=false;
        form4.show;
end;

procedure TForm3.FormShow(Sender: TObject);
var
        i:integer;
        T:Tregistry;
        val:Tstringlist;
        st:string;
begin
          listbox1.items.Clear;
          val:=Tstringlist.create;
          T:=Tregistry.create;
          T.RootKey:=HKEY_LOCAL_MACHINE;
          T.OpenKey('SOFTWARE\Sms\settings\phone book',true);
          T.GetValueNames(Val);
          for  I:=0  to  Val.Count-1  do
           begin
            st:=T.ReadString(Val.Strings[I]);
            listbox1.items.Add(st+Stringofchar(' ',27-length(val.Strings[i])-length(st))+val.Strings[I]);
           end ;

                T.CloseKey;
                T.destroy;
end;

procedure TForm3.Edit1Change(Sender: TObject);
var
        i:integer;
begin
        for i:=0 to listbox1.items.count-1 do
        begin
                if(compareText(copy(listbox1.items[i],0,length(edit1.text)),edit1.text)=0)then
                begin
                        listbox1.ItemIndex:=i;
                        break;
                end;
        end;
end;

procedure TForm3.Button3Click(Sender: TObject);
var
        s:string;
        p:integer;
        T:Tregistry;
begin
        if(listbox1.itemindex=-1)then
        begin
                application.Messagebox('Select value','Error',0);
                exit;
        end;
        if(application.messagebox('Are You sure You Want To Delete This name','Warning',MB_OKCANCEL)=ID_OK)then
        begin
                s:=listbox1.items[listbox1.itemindex];
                p:=pos(' ',s);
                while(p<>0)do
                begin
                        delete(s,1,p);
                        p:=pos(' ',s);
                end;
                T:=Tregistry.create;
                T.RootKey:=HKEY_LOCAL_MACHINE;
                T.OpenKey('SOFTWARE\Sms\settings\phone book',true);
                T.DeleteValue(s);
                T.CloseKey;
                T.destroy;
                listbox1.items.delete(listbox1.ItemIndex);
        end;
end;
procedure TForm3.Button4Click(Sender: TObject);
var
        p,i:integer;
        t:Tregistry;
        s:string;
begin
                if(listbox1.itemindex=-1)then
                begin
                        application.Messagebox('Select value','Error',0);
                        exit;
                end;
                s:=listbox1.items[listbox1.itemindex];
                p:=pos(' ',s);
                while(p<>0)do
                begin
                        delete(s,1,p);
                        p:=pos(' ',s);
                end;
                T:=Tregistry.create;
                T.RootKey:=HKEY_LOCAL_MACHINE;
                T.OpenKey('SOFTWARE\Sms\settings\phone book',true);
                form4.edit2.text:=s;
                form4.edit1.text:=T.readstring(s);
                T.CloseKey;
                T.destroy;
                form3.enabled:=false;
                form4.Show;
                form4.tag:=1;
                listbox1.items.delete(listbox1.ItemIndex);
end;

end.


